package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.ClassReq;
import com.purui.prims.headless.api.pojo.response.ClassResp;
import com.purui.prims.headless.server.pojo.ClassFilter;

import java.util.List;

public interface ClassService {

    ClassResp create(ClassReq classReq, User user);

    ClassResp update(ClassReq classReq, User user);

    Boolean delete(Long id, Boolean force, User user) throws Exception;

    List<ClassResp> getClassList(ClassFilter filter, User user);
}
